> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rated.network/llms.txt
> Use this file to discover all available pages before exploring further.

# Get validator attestation duties metrics

> This endpoint returns drilldowns on performance metrics around attestation duties for a single validator index.



## OpenAPI

````yaml get /v1/eth/validators/{validator_index_or_pubkey}/attestations
openapi: 3.1.0
info:
  title: Rated API
  description: >

    Welcome to Rated API Swagger doc for developers! This doc outlines the Rated
    API functionality and API architecture.


    V0: It is separated into seven categories:


    -   **Validators**: Endpoints to query into individual validator indices or
    aggregations of validator indices.

    -   **Operators**: Endpoints to query into pre-materialized operator
    groupings.

    -   **Network**: Endpoints to query into network aggregate stats.

    -   **Slashings**: Endpoints to query into network aggregate stats.

    -   **Withdrawals (beta)**: Endpoints to query into when a withdrawal is
    expected to land.

    -   **Self Report (beta)**: Endpoint to query into all slashed validators
    and individual slashed validator indices


    V1: It is separated into six categories:

    -   **Overview**: Endpoints encapsulating the current status of operators,
    pools and validators.

    -   **Performance**: Endpoints that dive into performance and effectiveness
    metrics on execution and consensus layer for operators, pools and
    validators.

    -   **Rewards**: Endpoints that dive into relevant metrics around rewards
    and penalties for operators, pools and validators.

    -   **Private Sets**: Endpoints that aggregate custom group of validators
    privately for performance and reward drill downs.

    -   **Metadata**: Endpoints that provide metadata about mappings, slashings
    and APRs for validators, pools and operators.

    -   **Network**: Endpoints that provide network level metrics about
    performance, rewards, and distributions.


    [Terms of Use](https://docs.rated.network/legal/terms/api-terms-of-service)


    [API
    Reference](https://docs.rated.network/rated-api/api-reference/introduction)
  version: '1.0'
servers: []
security: []
paths:
  /v1/eth/validators/{validator_index_or_pubkey}/attestations:
    get:
      tags:
        - Performance
      summary: Get validator attestation duties metrics
      description: >-
        This endpoint returns drilldowns on performance metrics around
        attestation duties for a single validator index.
      operationId: >-
        get_validator_attestations_v1_eth_validators__validator_index_or_pubkey__attestations_get
      parameters:
        - name: validator_index_or_pubkey
          in: path
          required: true
          schema:
            anyOf:
              - type: integer
                minimum: 0
              - type: string
            title: Validator Index Or Pubkey
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            description: The number of results returned per page
            default: 10
            title: Limit
          description: The number of results returned per page
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            description: The number of results to skip before starting to return
            default: 0
            title: Offset
          description: The number of results to skip before starting to return
        - name: toDate
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date
              - type: 'null'
            description: End date
            examples:
              - '2023-12-31'
            title: Todate
          description: End date
        - name: fromDate
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date
              - type: 'null'
            description: Start date
            examples:
              - '2023-01-01'
            title: Fromdate
          description: Start date
        - name: fromDay
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
                minimum: 0
              - type: 'null'
            description: Start day
            examples:
              - '791'
            title: Fromday
          description: Start day
        - name: toDay
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
                minimum: 0
              - type: 'null'
            description: End day
            examples:
              - '851'
            title: Today
          description: End day
        - name: utc
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            description: Returns results based on UTC days (true) or ETH chain days (false)
            default: false
            title: Utc
          description: Returns results based on UTC days (true) or ETH chain days (false)
        - name: sortBy
          in: query
          required: false
          schema:
            type: string
            description: The filter you want results to be sorted by
            title: Sortby
          description: The filter you want results to be sorted by
        - name: sortOrder
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/SortOrderEnum'
              - type: 'null'
            description: The sort order for the results
            default: asc
            title: Sortorder
          description: The sort order for the results
        - name: granularity
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/GranularityEnum'
              - type: 'null'
            description: The size of time increments you are looking to query
            default: day
            title: Granularity
          description: The size of time increments you are looking to query
        - name: X-Rated-Network
          in: header
          required: false
          schema:
            $ref: '#/components/schemas/Network'
            default: mainnet
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/api__schemas__paginator__paginated_response_for_result_model___locals___PaginatedResponseWithResultModel__40
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Bad Request
      security:
        - HTTPBearer: []
components:
  schemas:
    SortOrderEnum:
      type: string
      enum:
        - asc
        - desc
      title: SortOrderEnum
    GranularityEnum:
      type: string
      enum:
        - hour
        - day
        - week
        - month
        - quarter
        - year
        - all
      title: GranularityEnum
    Network:
      type: string
      enum:
        - mainnet
        - hoodi
        - holesky
      title: Network
    api__schemas__paginator__paginated_response_for_result_model___locals___PaginatedResponseWithResultModel__40:
      properties:
        previous:
          anyOf:
            - type: string
            - type: 'null'
          title: Previous
        next:
          anyOf:
            - type: string
            - type: 'null'
          title: Next
        pages:
          type: integer
          minimum: 0
          title: Pages
        results:
          items:
            properties:
              hour:
                anyOf:
                  - type: integer
                    minimum: 0
                  - type: 'null'
                title: Hour
              day:
                anyOf:
                  - type: integer
                    minimum: 0
                  - type: 'null'
                title: Day
              startDay:
                anyOf:
                  - type: integer
                    minimum: 0
                  - type: 'null'
                title: Startday
              endDay:
                anyOf:
                  - type: integer
                    minimum: 0
                  - type: 'null'
                title: Endday
              startEpoch:
                anyOf:
                  - type: integer
                    minimum: 0
                  - type: 'null'
                title: Startepoch
              endEpoch:
                anyOf:
                  - type: integer
                    minimum: 0
                  - type: 'null'
                title: Endepoch
              startDate:
                anyOf:
                  - type: string
                  - type: 'null'
                title: Startdate
              endDate:
                anyOf:
                  - type: string
                  - type: 'null'
                title: Enddate
              date:
                anyOf:
                  - type: string
                  - type: 'null'
                title: Date
              startTimestamp:
                anyOf:
                  - type: string
                    format: date-time
                  - type: 'null'
                title: Starttimestamp
              endTimestamp:
                anyOf:
                  - type: string
                    format: date-time
                  - type: 'null'
                title: Endtimestamp
              startSlot:
                anyOf:
                  - type: integer
                    minimum: 0
                  - type: 'null'
                title: Startslot
              endSlot:
                anyOf:
                  - type: integer
                    minimum: 0
                  - type: 'null'
                title: Endslot
              totalAttestations:
                anyOf:
                  - type: integer
                    minimum: 0
                  - type: 'null'
                title: Totalattestations
              totalUniqueAttestations:
                anyOf:
                  - type: integer
                    minimum: 0
                  - type: 'null'
                title: Totaluniqueattestations
              sumCorrectHead:
                anyOf:
                  - type: integer
                    minimum: 0
                  - type: 'null'
                title: Sumcorrecthead
              sumCorrectTarget:
                anyOf:
                  - type: integer
                    minimum: 0
                  - type: 'null'
                title: Sumcorrecttarget
              avgCorrectness:
                anyOf:
                  - type: number
                    minimum: 0
                  - type: 'null'
                title: Avgcorrectness
              totalAttestationAssignments:
                anyOf:
                  - type: integer
                    minimum: 0
                  - type: 'null'
                title: Totalattestationassignments
              avgInclusionDelay:
                anyOf:
                  - type: number
                    minimum: 0
                  - type: 'null'
                title: Avginclusiondelay
              sumInclusionDelay:
                anyOf:
                  - type: number
                    minimum: 0
                  - type: 'null'
                title: Suminclusiondelay
              uptime:
                anyOf:
                  - type: number
                    minimum: 0
                  - type: 'null'
                title: Uptime
              attesterEffectiveness:
                anyOf:
                  - type: number
                    minimum: 0
                  - type: 'null'
                title: Attestereffectiveness
              syncSignatureCount:
                anyOf:
                  - type: integer
                    minimum: 0
                  - type: 'null'
                title: Syncsignaturecount
              sumCorrectSource:
                anyOf:
                  - type: integer
                    minimum: 0
                  - type: 'null'
                title: Sumcorrectsource
              sumMissedSyncSignatures:
                anyOf:
                  - type: integer
                    minimum: 0
                  - type: 'null'
                title: Summissedsyncsignatures
              sumLateSourceVotes:
                anyOf:
                  - type: integer
                    minimum: 0
                  - type: 'null'
                title: Sumlatesourcevotes
              sumWrongTargetVotes:
                anyOf:
                  - type: integer
                    minimum: 0
                  - type: 'null'
                title: Sumwrongtargetvotes
              sumLateTargetVotes:
                anyOf:
                  - type: integer
                    minimum: 0
                  - type: 'null'
                title: Sumlatetargetvotes
              sumMissedAttestations:
                anyOf:
                  - type: integer
                    minimum: 0
                  - type: 'null'
                title: Summissedattestations
              sumWrongHeadVotes:
                anyOf:
                  - type: integer
                    minimum: 0
                  - type: 'null'
                title: Sumwrongheadvotes
              sumLateHeadVotes:
                anyOf:
                  - type: integer
                    minimum: 0
                  - type: 'null'
                title: Sumlateheadvotes
              validatorIndex:
                type: integer
                minimum: 0
                title: Validatorindex
            type: object
            required:
              - validatorIndex
            title: ValidatorAttestations
            examples:
              - attester_effectiveness: 95.97701149425288
                avg_correctness: 0.9896296296296296
                avg_inclusion_delay: 1.031111111111111
                date: '2023-01-01'
                day: 796
                endDate: '2023-01-07'
                endDay: 802
                hour: 19056
                startDate: '2023-01-01'
                startDay: 796
                sum_correct_head: 219
                sum_correct_source: 225
                sum_correct_target: 224
                sum_inclusion_delay: 232
                sum_late_head_votes: 1
                sum_late_source_votes: 0
                sum_late_target_votes: 0
                sum_missed_attestations: 0
                sum_wrong_head_votes: 1
                sum_wrong_target_votes: 1
                sync_signature_count: 0
                total_attestation_assignments: 225
                total_attestations: 230
                total_unique_attestations: 225
                uptime: 1
                validator_index: 1
          type: array
          title: Results
      type: object
      required:
        - previous
        - next
        - pages
        - results
      title: PaginatedV1ValidatorAttestations
      examples:
        - next: >-
            https://api.rated.network//eth/validators/{validator_index_or_pubkey}/attestations?limit=10&offset=30
          pages: 10
          previous: >-
            https://api.rated.network//eth/validators/{validator_index_or_pubkey}/attestations?limit=10&offset=10
          results:
            - - attester_effectiveness: 95.97701149425288
                avg_correctness: 0.9896296296296296
                avg_inclusion_delay: 1.031111111111111
                date: '2023-01-01'
                day: 796
                endDate: '2023-01-07'
                endDay: 802
                hour: 19056
                startDate: '2023-01-01'
                startDay: 796
                sum_correct_head: 219
                sum_correct_source: 225
                sum_correct_target: 224
                sum_inclusion_delay: 232
                sum_late_head_votes: 1
                sum_late_source_votes: 0
                sum_late_target_votes: 0
                sum_missed_attestations: 0
                sum_wrong_head_votes: 1
                sum_wrong_target_votes: 1
                sync_signature_count: 0
                total_attestation_assignments: 225
                total_attestations: 230
                total_unique_attestations: 225
                uptime: 1
                validator_index: 1
    ErrorResponse:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/Error'
          type: array
          title: Detail
      type: object
      required:
        - detail
      title: ErrorResponse
    Error:
      properties:
        loc:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Loc
        msg:
          type: string
          title: Msg
        type:
          type: string
          title: Type
      type: object
      required:
        - msg
        - type
      title: Error
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````